%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases
%define _fdidir %_datadir/hal/fdi/policy/20thirdparty

Name: xorg-drv-vmware
Version: 10.16.6
Release: alt1
Serial: 1
Summary: VMware SVGA video driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: XORG_ABI_VIDEODRV = %get_xorg_abi_videodrv
Provides: xorg-x11-drv-vmware = %serial:%version-%release
Obsoletes: xorg-x11-drv-vmware

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(Pre): xorg-sdk
BuildRequires: xorg-proto-devel

%description
vmware is an Xorg driver for VMware virtual video cards.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

install -pD -m644 xf86-video-vmware.xinf %buildroot%_hwdatadir/vmware.xinf
install -pD -m644 11-x11-video-vmware.fdi %buildroot%_fdidir/20-x11-video-vmware.fdi

%files
%_modulesdir/drivers/*.so
%_hwdatadir/*.xinf
%_fdidir/20-x11-video-vmware.fdi
%_man4dir/*

%changelog
* Wed May 13 2009 Valery Inozemtsev <shrek@altlinux.ru> 1:10.16.6-alt1
- 10.16.6

* Fri Feb 27 2009 Valery Inozemtsev <shrek@altlinux.ru> 1:10.16.5-alt3
- requires XORG_ABI_VIDEODRV = 5.0

* Wed Aug 27 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:10.16.5-alt2
- requires XORG_ABI_VIDEODRV = 4.1

* Wed Aug 20 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:10.16.5-alt1
- 10.16.5

* Sat Aug 02 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:10.16.4-alt1
- 10.16.4

* Fri Jun 13 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:10.16.2-alt1
- 10.16.2

* Fri Jun 06 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:10.16.1-alt2
- added xinf and fdi files

* Thu Jun 05 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:10.16.1-alt1
- 10.16.1
- renamed xorg-x11-drv-vmware to xorg-drv-vmware
- added requires XORG_ABI_VIDEODRV = 2.0

* Thu Mar 20 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:10.16.0-alt1
- 10.16.0

* Wed Sep 26 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:10.15.2-alt1
- 10.15.2

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:10.15.1-alt1
- 10.15.1

* Tue Feb 13 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:10.15.0-alt1
- 10.15.0

* Fri Dec 08 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:10.14.1-alt1
- 10.14.1:
  + Fix use of uninitialised buffer in static xinerama topology parsing

* Wed Nov 01 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:10.14.0-alt1
- 10.14.0

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:10.13.0-alt1
- 10.13.0

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:10.11.1.3-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:10.11.1.1-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:10.11.1-alt0.1
- initial release

